<?php

namespace App\Domain\Messenger\Models;

use App\Models\User;
use App\Models\Model;
use App\Domain\Messenger\Models\ChatRoom;

class Message extends Model
{

    // protected $touches = ['room'];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function room()
    {
        return $this->belongsTo(ChatRoom::class, 'chat_room_id');
    }

}
